Last Comment Bug 720092 - java.lang.IndexOutOfBoundsException: getChars (0 ... 88168) ends beyond length 0
: java.lang.IndexOutOfBoundsException: getChars (0 ... 88168) ends beyond length 0
Status: RESOLVED FIXED
[native-crash]
: crash
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: P1 critical (vote)
: Firefox 12
Assigned To: Doug Turner (:dougt)
:
Mentors:
: 717932 720085 724425 (view as bug list)
Depends on:
Blocks: 772225
  Show dependency treegraph
 
Reported: 2012-01-20 23:45 PST by Mark Finkle (:mfinkle) (use needinfo?)
Modified: 2012-07-09 14:26 PDT (History)
6 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed
11+


Attachments
patch v.1 (1.36 KB, patch)
2012-01-31 09:19 PST, Doug Turner (:dougt)
alex.mozilla: review+
blassey.bugs: approval‑mozilla‑aurora+
blassey.bugs: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Mark Finkle (:mfinkle) (use needinfo?) 2012-01-20 23:45:18 PST
This is one of the types of TouchMemory errors.

java.lang.IndexOutOfBoundsException: getChars (0 ... 88168) ends beyond length 0
	at android.text.SpannableStringBuilder.checkRange(SpannableStringBuilder.java:943)
	at android.text.SpannableStringBuilder.getChars(SpannableStringBuilder.java:847)
	at android.text.SpannableStringBuilder.toString(SpannableStringBuilder.java:869)
	at org.mozilla.gecko.GeckoInputConnection.getExtractedText(GeckoInputConnection.java:201)
	at com.android.internal.view.IInputConnectionWrapper.executeMessage(IInputConnectionWrapper.java:318)
	at com.android.internal.view.IInputConnectionWrapper$MyHandler.handleMessage(IInputConnectionWrapper.java:86)
	at android.os.Handler.dispatchMessage(Handler.java:99)
	at android.os.Looper.loop(Looper.java:150)
	at org.mozilla.gecko.GeckoApp$31.run(GeckoApp.java:1547)
Comment 1 Brad Lassey [:blassey] (use needinfo?) 2012-01-23 20:09:26 PST
alex, dupe as appropriate
Comment 2 Naoki Hirata :nhirata (please use needinfo instead of cc) 2012-01-25 12:40:01 PST
dup of bug 717932?
Comment 3 Alex Pakhotin (:alexp) 2012-01-25 12:55:22 PST
*** Bug 717932 has been marked as a duplicate of this bug. ***
Comment 4 Alex Pakhotin (:alexp) 2012-01-25 12:55:47 PST
*** Bug 720085 has been marked as a duplicate of this bug. ***
Comment 6 Alex Pakhotin (:alexp) 2012-01-25 13:03:24 PST
As mentioned in the bug 720085, the following issue might be related
http://code.google.com/p/android/issues/detail?id=5164
Comment 7 Doug Turner (:dougt) 2012-01-31 09:19:39 PST
Created attachment 593128 [details] [diff] [review]
patch v.1
Comment 8 Doug Turner (:dougt) 2012-01-31 09:26:49 PST
https://hg.mozilla.org/mozilla-central/rev/bbc7014db2de
Comment 9 Brad Lassey [:blassey] (use needinfo?) 2012-01-31 11:45:34 PST
Comment on attachment 593128 [details] [diff] [review]
patch v.1

[Triage Comment]
simple try-catch to catch the condition and not crash
Comment 10 Scoobidiver (away) 2012-01-31 12:41:11 PST
It landed just before 12.0 becomes Aurora: http://hg.mozilla.org/mozilla-central/rev/801015738a12.
An Aurora approval means it will land twice in 12.0.
Comment 12 Doug Turner (:dougt) 2012-02-05 23:47:20 PST
*** Bug 724425 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.